/* Problem URL: https://codeforces.com/contest/2065/problem/G */

#include <bits/stdc++.h>

using namespace std;

#define V vector

#define rmin(a, b) a = min(a, b)
#define rmax(a, b) a = max(a, b)

#define rep(i, lim) for (size_t i = 0; i < (lim); i++)
#define nrep(i, s, lim) for (size_t i = s; i < (lim); i++)

#define repv(i, v) for (auto &i : (v))
#define fillv(v) for (auto &itr_ : (v)) { cin >> itr_; }
#define sortv(v) sort(v.begin(), v.end())
#define all(v) (v).begin(), (v).end()

using vi = vector<int>;
using vvi = vector<vi>;
using vvvi = vector<vvi>;
using vvvvi = vector<vvvi>;

using ll = long long;

using vl = vector<ll>;
using vvl = vector<vl>;
using vvvl = vector<vvl>;
using vvvvl = vector<vvvl>;

template<class v>
auto operator<<(ostream &os, const vector<v> &vec)->ostream& {
    os << vec[0];
    for (size_t i = 1; i < vec.size(); i++) {
        os << ' ' << vec[i];
    }
    os << '\n';
    return os;
}

template<class v>
auto operator>>(istream &is, vector<v> &vec)->istream& {
    for (auto &i : vec) {
        is >> i;
    }
    return is;
}

template<class v>
auto operator<<(ostream &os, const vector<vector<v>> &vec)->ostream& {
    for (auto &i : vec) {
        os << i[0];
        for (size_t j = 1; j < i.size(); j++) {
            os << ' ' << i[j];
        }
        os << '\n';
    }
    return os;
}

template<class v>
auto operator>>(istream  &is, vector<vector<v>> &vec)->istream& {
    for (auto &i : vec) {
        for (auto &j : i) {
            is >> j;
        }
    }
    return is;
}

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);

    V<bool> isprime(2e5 + 1, true);
    isprime[1] = false;
    vi divs(2e5 + 1);
    divs[1] = 1;

    for (int i = 2; i <= (int)2e5; i++) {
        if (!isprime[i]) {
            continue;
        }

        divs[i] = i;

        for (int j = i * 2; j <= (int)2e5; j += i) {
            isprime[j] = false;
            divs[j] = i;
        }
    }

    int t;
    cin >> t;
    while (t--) {
        int n;
        cin >> n;

        vi nums;
        ll primes = 0;
        ll ans = 0;
        vl count(n + 1);
        rep(i, n) {
            int num;
            cin >> num;
            if (isprime[num]) {
                ans += primes;
                primes++;
                ans -= count[num];
                count[num]++;
                continue;
            }

            int a = divs[num];
            int b = num / a;

            if (!isprime[b]) {
                continue;
            }

            nums.push_back(num);
        }

        for (auto i : nums) {
            int a = divs[i];
            int b = i / a;

            count[i]++;
            ans += count[a] + count[b] + count[i];
            if (a == b) {
                ans -= count[a];
            }
        }

        cout << ans << '\n';
    }
}
